<?php
/**
 * Plugin Name: WooCommerce Pallapay Gateway
 * Plugin URI: https://www.pallapay.com/
 * Description: Woocommerce Pallapay Gateway to create crypto payments
 * Author: Pallapay
 * Author URI: https://www.pallapay.com/
 * Version: 1.1.0
 * Text Domain: wpg
 * Domain Path: languages/
 */

// Exit if accessed directly
if (!defined('ABSPATH')) exit;

/**
 * Basic plugin definitions
 *
 * @package WooCommerce Pallapay Gateway
 * @since 1.0.0
 */

if (!defined('WPG_VERSION')) {
    define('WPG_VERSION', '1.0.0'); // Library version of js and css
}
if (!defined('WPG_DIR')) {
    define('WPG_DIR', dirname(__FILE__)); // Plugin dir
}
if (!defined('WPG_URL')) {
    define('WPG_URL', plugin_dir_url(__FILE__)); // Plugin url
}
if (!defined('WPG_BASENAME')) {
    define('WPG_BASENAME', basename(WPG_DIR)); // Base name
}

if (!defined('WPG_INCLUDE_DIR')) {
    define('WPG_INCLUDE_DIR', WPG_DIR . '/includes'); // Admin Dir
}

if (!defined('WPG_ADMIN_DIR')) {
    define('WPG_ADMIN_DIR', WPG_DIR . '/includes/admin'); // Admin Dir
}


// Make sure WooCommerce is active
if (!in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
    return;
}

/**
 * Load Text Domain
 *
 * This gets the plugin ready for translation.
 *
 * @package WooCommerce Pallapay Gateway
 * @since 1.0.0
 */
function wpg_load_textdomain()
{

    // Set filter for plugin's languages directory
    $wpg_lang_dir = dirname(plugin_basename(__FILE__)) . '/languages/';
    $wpg_lang_dir = apply_filters('wpg_languages_directory', $wpg_lang_dir);

    // Traditional WordPress plugin locale filter
    $locale = apply_filters('plugin_locale', get_locale(), 'wpg');
    $mofile = sprintf('%1$s-%2$s.mo', 'wpg', $locale);

    // Setup paths to current locale file
    $mofile_local = $wpg_lang_dir . $mofile;
    $mofile_global = WP_LANG_DIR . '/' . WPG_BASENAME . '/' . $mofile;

    if (file_exists($mofile_global)) { // Look in global /wp-content/languages/wp-paypal-donations folder
        load_textdomain('wpg', $mofile_global);
    } elseif (file_exists($mofile_local)) { // Look in local /wp-content/plugins/wp-paypal-donations/languages/ folder
        load_textdomain('wpg', $mofile_local);
    } else { // Load the default language files
        load_plugin_textdomain('wpg', false, $wpg_lang_dir);
    }
}

add_action('plugins_loaded', 'wpg_load_textdomain');


/**
 * Adds plugin page links
 *
 * @param array $links all plugin links
 * @return array $links all plugin links + our custom links (i.e., "Settings")
 * @package WooCommerce Pallapay Gateway
 * @since 1.0.0
 */
function wc_Bring_gateway_plugin_links($links)
{

    $plugin_links = array(
        '<a href="' . admin_url('admin.php?page=wc-settings&tab=checkout&section=pallapay_gateway') . '">' . __('Configure', 'wc-gateway-Bring') . '</a>'
    );

    return array_merge($plugin_links, $links);
}

add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'wc_Bring_gateway_plugin_links');

/**
 * Global Variables
 *
 * Declaration of some needed global varibals for plugin
 *
 * @package WooCommerce Pallapay Gateway
 * @since 1.0.0
 */
global $wpg_admin;

// Handles admin side functionalities
include_once(WPG_ADMIN_DIR . '/class-wpg-admin.php');
$wpg_admin = new Wpg_Admin();
$wpg_admin->add_hooks();

include_once(WPG_INCLUDE_DIR . '/class-wpg-payment.php');
//add_action( 'init', 'test');
function test()
{
    $dd = get_option('bring_response');
    echo '<pre>dd';
    print_r($dd);
    print_r(get_option('bring_response_dd'));
    echo '</pre>';
} 